{...}: {
  imports = [
    ./hardware.nix
    ./system.nix
    ./users.nix
    ./fonts.nix
    ./sound.nix
    ./ui.nix
    ./energy.nix
    ./ssh.nix
    ./networking.nix
  ];

  config = {
    console = {
      font = "Lat2-Terminus16";
      useXkbConfig = true;
      earlySetup = true;
    };

    services = {
      xserver.xkb = {
        layout = "us";
      };
      libinput.enable = true;
    };

    time.timeZone = "America/Montevideo";
    i18n.defaultLocale = "en_US.UTF-8";
    i18n.extraLocaleSettings = {
      LC_ADDRESS = "en_US.UTF-8";
      LC_IDENTIFICATION = "en_US.UTF-8";
      LC_MEASUREMENT = "en_US.UTF-8";
      LC_MONETARY = "en_US.UTF-8";
      LC_NAME = "en_US.UTF-8";
      LC_NUMERIC = "en_US.UTF-8";
      LC_PAPER = "en_US.UTF-8";
      LC_TELEPHONE = "en_US.UTF-8";
      LC_TIME = "en_US.UTF-8";
    };

    system.stateVersion = "24.11";
  };
}
